Subject: Re: jgit and ignore

From: "Ferry Huberts (Pelagic)" <[email-masked]>
Date: Sun, 01 Mar 2009 18:17:50 +0100

Tor Arne Vestbø wrote:
> Ferry Huberts (Pelagic) wrote:
>> Tor Arne Vestbø wrote:
>>> In my opinion, EGit should default to using Eclipse's built in ignores,
>>> but then detect the presence of a global core.excludesfile, in which
>>> case it would notify the user ("I see you have a core.excludesfile") and
>>> let the user switch to using that one instead.
> 
> [snip]
> 
> First of all, I do appreciate you working on the ignore feature :)
> 
>> I do not agree with your propasal however.
>> We then would have different behaviour between how 'git' behaves within
>> Eclipse (by means of the plugin) and how 'git' behaves within the
>> command line. That alone can cause much more confusion.
> 
> I see what you mean, and I agree that in general the command line git
> porcelain and the Eclipse git porcelain should work in similar ways.
> 
> But, with that said, I think of EGit as a standalone Eclipse-plugin
> implementation of the git porcelain -- not just a wrapper around the
> command line porcelain.
> 
> To me that means that EGit should focus just as much on integrating with
> Eclipse properly as it does on keeping command line porcelain
> interoperability.
> 
> The core.excludesfile is one such case, and I think my proposal is a
> good compromise.
> 

how about we all (especially me) think a bit better on this and solve it
later when I've completed the rest? That allows me to focus for now.
I think we can easily synchronise between the eclipse global ignores and
the core.excludesfile when we (really) want to.